I installed Ubuntu 6.06 and then downloaded all the tars to install Sprog-0.14. I ran into one problem after another involving .t and .ko files with various messages that I can not reproduce, now. While I was struggling with the perl Makefile.PL and makes, I noticed the updates asked to be installed. After installing the current updates, Sprog installed with no problems. The only thing I would wish for is a larger and useful library of gears.
 
Dick McCurdy